package color

import (
	"os"
)

// These constants represent the escape codes needed to display color in terminals.
const (
	format     = "\x1b[38;2;%d;%d;%dm%s\x1b[0m"
	formatLine = "\x1b[38;2;%d;%d;%dm%s\n\x1b[0m"
)

// Terminal is a boolean that indicates if we're in a terminal with truecolor support.
var Terminal = os.Getenv("COLORTERM") == "truecolor"
